跳到主要内容

创建 Dedicated 集群 (V2)

Create a dedicated cluster.

POST/v2/clusters/createDedicated
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
Acceptstringheader

使用 application/json

示例值:application/json
请求体application/json
clusterNamestring必填项

待创建集群名称。

projectIdstring必填项

待创建集群所属项目。

planstring

待创建集群所在项目的订阅计划。当前仅支持 Enterprise

cuTypestring必填项

待创建集群使用的 CU 类型。
仅适用于 Dedicated 集群。对于 Free 和 Serverless 集群,该值为空。
可能的值可以参考下拉选项,或在 Zilliz Cloud 控制台创建集群时查看。

cuSizeinteger必填项

待创建集群使用的 CU 大小。
对于 Free 和 Serverless 集群,该值始终为 0
对于 Standard 计划的 Dedicated 集群,该值取值范围为 132,可能的值为1、2、4、8、12、16、20、24、28、32。
对于 Enterprise 计划的 Dedicated 集群,该值取值范围为 11024,可能的值为1、2、4、8、12、16、20、24、28、32、…、64、72、80、88、…、256、272、288、…、1024。
关于 CU 大小的增量规则,请参阅 详细计划对比 中的 Deployment 部分。

取值范围:≥ 1≤ 1024
labelsobject

BYOC 集群标识键值对标签。

bucketInfoobject

BYOC 集群的自定义存储桶配置。

bucketNamestring

The name of the custom storage bucket.

prefixstring

The prefix path within the bucket.

keyIdentifierstring

BYOC 集群加密的密钥标识符。

export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/clusters/createDedicated" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "Cluster-05",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"regionId": "ali-cn-beijing",
"plan": "Standard",
"cuType": "Performance-optimized",
"cuSize": 1
}'
响应200 - application/json
codeinteger

响应码。

dataobject

响应负载。

clusterIdstring

已创建集群的 ID。

usernamestring

集群管理用户名称。通常为 db_admin

passwordstring

集群管理用户密码。该值仅在创建集群时显示一次。建议您妥善保存。

promptstring

返回的提示信息。

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"username": "db_admin",
"password": "****************",
"prompt": "successfully submitted, cluster is being created. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK with the admin account and the initial password you specified."
}
}